> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deal Custom Fields

> Retrieve a list of deal custom fields



## OpenAPI

````yaml get /deal_custom_field
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /deal_custom_field:
    get:
      tags:
        - Deal Custom Field
      summary: List Deal Custom Fields
      description: Retrieve a list of deal custom fields
      parameters:
        - name: deal_id
          in: query
          description: Deal ID
          schema:
            type: string
        - name: custom_field_id
          in: query
          description: Custom field ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Deal custom field creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: key
          in: query
          description: Deal custom field key
          schema:
            type: string
        - name: value
          in: query
          description: Value of deal custom field
          schema:
            type: string
        - name: date_value
          in: query
          description: Date value
          schema:
            type: string
        - name: string_value
          in: query
          description: String value
          schema:
            type: string
        - name: number_value
          in: query
          description: Number value
          schema:
            type: string
        - name: boolean_value
          in: query
          description: Boolean value
          schema:
            type: string
        - name: datetime_value
          in: query
          description: Datetime value
          schema:
            type: string
        - name: string_list_value
          in: query
          description: String list value
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/deal_custom_field'
components:
  schemas:
    deal_custom_field:
      type: object
      properties:
        deal_id:
          type: string
          description: Deal ID
          format: uuid
        custom_field_id:
          type: string
          description: Custom field ID
          format: uuid
        created_at:
          type: string
          description: Deal custom field creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        key:
          type: string
          description: Deal custom field key
          format: text
          nullable: true
        value:
          type: string
          description: Value of deal custom field
          format: text
          nullable: true
        date_value:
          type: string
          description: Date value
          format: date
          nullable: true
        string_value:
          type: string
          description: String value
          format: text
          nullable: true
        number_value:
          type: number
          description: Number value
          format: numeric
          nullable: true
        boolean_value:
          type: boolean
          description: Boolean value
          format: boolean
          nullable: true
        datetime_value:
          type: string
          description: Datetime value
          format: timestamp with time zone
          nullable: true
        string_list_value:
          type: array
          description: String list value
          items:
            type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````